> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a run



## OpenAPI

````yaml /api/openapi.json post /v1/runs
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/runs:
    post:
      tags:
        - Runs
      summary: Start a run
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                slug:
                  type: string
                  minLength: 1
                  maxLength: 200
                  pattern: ^[a-z0-9-]+$
                inputs:
                  default: {}
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                files:
                  default: {}
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: object
                    properties:
                      r2Key:
                        type: string
                        minLength: 1
                        maxLength: 512
                      kind:
                        type: string
                        enum:
                          - image
                          - video
                      contentType:
                        type: string
                        pattern: ^(image|video)\/[\w.+-]+$
                    required:
                      - r2Key
                      - kind
                      - contentType
                characters:
                  default: {}
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    anyOf:
                      - type: object
                        properties:
                          r2Key:
                            type: string
                            minLength: 1
                            maxLength: 512
                        required:
                          - r2Key
                      - type: object
                        properties:
                          char_id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        required:
                          - char_id
                license_context:
                  type: object
                  properties:
                    use:
                      type: string
                      minLength: 1
                      maxLength: 120
                    territory:
                      type: string
                      minLength: 1
                      maxLength: 120
                    secret:
                      type: string
                      minLength: 1
                      maxLength: 100
                  required:
                    - use
                    - territory
              required:
                - slug
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  runId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - queued
                      - dispatching
                      - running
                      - succeeded
                      - failed
                      - canceled
                required:
                  - runId
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.